<!doctype html>
<head>
    <script src="js/javascript.js"></script>
    <meta charset="utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <link rel="stylesheet" href="stylesheet.css">
    <title>Struktur von HTML</title>

</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="index.html">Startseite</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="Geschichte.html">Geschichte<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="Struktur.html">Struktur</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="Grundlagentabelle.html">Grundlagen</a>
      </li>
       <li class="nav-item">
        <a class="nav-link" href="Beispiel.html">Beispiel</a>
      </li>
       <li class="nav-item">
        <a class="nav-link" href="Weiterentwicklung.html">Weiterentwicklung</a>
      </li> 
      <li class="nav-item">
        <a class="nav-link" href="Impressum.html">Impressum</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="Quellen.html">Quellen</a>
      </li>
    </ul>
    <span class="navbar-text">
      
    </span>
  </div>
</nav>


    <br>
    <h1>Allgemeine Struktur von HTML</h1>
     <div class="container">
        <div class="col-sn">
           <img src="https://i.ibb.co/2PgwGD5/htmlk-rper.jpg" class="w-100" alt="Bild">
        </div>
    </div>

<br>
<h3>Ein HTML-Dokument besteht aus drei Bereichen:</h3> <br>

<ol>
<li>Dokumenttypdeklaration !DOCTYPE html oder nur htmlzur Einführung</li>
<li>HTML-Kopf head</li>
<li>HTML-Körper body </li>
</ol>

<h4>Dokumenttypdeklaration</h4>

<p>Steht vor allen anderen Befehlen im HTML-Code. Es leitet den Code ein und gibt die Verwendete Dokumenttypdefinition an.</p>

<h4>HTML-Kopf</h4>


<p>Im head sind die Metadaten der Website enthalten. <br>
Es beinhaltet: title, meta, base, link, script, style</p>

<p>Title bezeichnet den Titel der Seite der von dem Browsern in der Titelleiste angezeigt wird.</p>

<h4>HTML-Körper</h4>


<p>Enthält den Inhalt der HTML-Seite <br>
Hier wird der Text, Bilder, Informationen… die auf der Seite zu sehen sein werden reingeschrieben. Mithilfe von Befehlen. <br>

Früher wurde das Design der Website über den HTML-Code generiert. Heute wird davon Abgeraten Inhalte und Design zu vermischen. Das Design wird über den CSS-Bereich erstellt.
</p>

<h4>Befehle </h4>
<p>
Die meisten HTML Befehle werden wieder geschlossen. Die Schließung geht mit dem Befehl selbst und einen slash vor der öffnenden Spitzklammer. Zum Beispiel: Öffnen:html Schließen: /html (in Spiezten klammern eingeschlossen)
Manche Schließungen unterscheiden sich von den Öffnenden Befehl.
</p>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
 

</body>
</html>